<script type="text/javascript">  
$(function() {
    $(".preload").fadeOut(500, function() {
        $(".content").fadeIn(500);       	
    });
});
</script>

<style>
.content {display:none;}
.preload { 
        
    top: 50%;
    left: 50%;
    background-color: white;
}
#imgload{
	margin-left: 250px;
    margin-right: auto;
}
</style>

<div class="preload" >
	<div id="imgload">
		<img src="#{assets '/images/loadingPesawat.gif'/}">
	</div>
</div>

<div class="content">
 


<table class="table table-sm">
    <tr>
        <th width="20%">&{'nonlelang.kode_paket'}</th>
        <td colspan="3"><strong>${pl?.lls_id}</strong></td>
    </tr>
    <tr>
        <th>&{'nonlelang.nama_paket'}</th>
        <td colspan="3"><strong>${pl?.pkt_nama}</strong></td>
    </tr>
    <tr>
        <th>&{'nonlelang.keterangan'}</th>
        <td colspan="3">${pl?.lls_keterangan}</td>
    </tr>
    <tr>
        <th>Tahap Paket Saat ini</th>
        <td colspan="3"><a href="@{nonlelang.JadwalPlCtr.tahap(pl.lls_id)}" class="jpopup">${pl.tahapNow}</a></td>
    </tr>
    <tr>
        <th>&{'nonlelang.satuan_kerja'}</th>
        <td colspan="3">${pl?.nama_satker}</td>
    </tr>
    <tr>
        <th>&{'nonlelang.kategori'}</th>
        <td colspan="3">
            ${pl?.kategori?.nama}
        </td>
    </tr>
    <tr>
        <th>&{'nonlelang.metode_pengadaan'}</th>
        <td class="field2">${pl?.pemilihan?.label}</td>
    </tr>
   *{ <tr>
        <th>&{'nonlelang.metode_evaluasi'}</th>
        <td class="field2">${pl?.evaluasi?.label}</td>
    </tr>}*
    <tr>
        <th>&{'nonlelang.tahun_anggaran'}</th>
        <td colspan="3" class="field2">#{list anggaranList, as:'anggaran'} ${anggaran?.ang_tahun} - ${anggaran?.sbd_id.label}#{/list}</td>
    </tr>
    <tr>
        <th>Nilai HPS Paket</th>
        <td colspan="3">${pl?.pkt_hps?.rupiah()}</td>
    </tr>
    <tr>
        <th>&{'nonlelang.jenis_kontrak'}</th>
        <td colspan="3">
		    <table class="table table-sm">
		    	<tr>
		    		<td>&{'nonlelang.cara_pembayaran'}</td>
		    		<td>${pl?.kontrak_pembayaran?.label}</td>
		    	</tr>
		    </table>
        </td>
    </tr>
    <tr>
        <th>&{'nonlelang.lokasi_pekerjaan'}</th>
        <td colspan="3"><ul>
                #{list lokasiList, as:'pkl'}
                <li>${pkl.pkt_lokasi} - ${pkl.kabupaten?.kbp_nama}</li>
                #{/list}
            </ul>
        </td>
    </tr>
    #{if pl.konsultansi || pl.jkKonstruksi}
    <tr>
        <th>&{'nonlelang.kualifikasi_usaha'}</th>
        <td colspan="3">${pl.kualifikasi?.label}</td>
    </tr>
    #{/if}
    #{if pl?.lls_bobot_teknis}
    <tr>
        <th>&{'nonlelang.bobot_teknis'}</th>
        <td colspan="3">${pl?.lls_bobot_teknis}</td>
    </tr>
    #{/if}
    #{if pl?.lls_bobot_biaya}
    <tr>
        <th>&{'nonlelang.bobot_biaya'}</th>
        <td colspan="3">${pl?.lls_bobot_biaya}</td>
    </tr>
    #{/if}
    <tr>
        <th>&{'nonlelang.syarat_kualifikasi'}</th>
        <td colspan="3">#{syaratKualifikasiPl pl /}</td>
    </tr>
</table>
#{if allowed}
	#{form @nonlelang.PendaftaranPlCtr.submit(pl.lls_id), id:'formPendaftaranpl'}
	<div class="card card-default">
		<div class="card-header">Mengikuti Paket</div>
		<div class="card-body">
			#{paktaIntegritasPL active_user:active_user/}
			<div class="form-group">
				<input type="hidden" name="setuju" value="true" />
				#{set 's'} &{'nonlelang.btn_setuju'} #{/set}
				#{saveButton title:s/}
			</div>
		</div>
	</div>
	#{/form}
#{/if}
    <div class="alert alert-warning" role="alert" id="load">
        <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
        &{'nonlelang.cek_bl'}</strong></h5></p>
    </div>
    <div class="alert alert-danger" role="alert" id="blacklisted">
        <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
        &{'nonlelang.tidak_diperkenankan'}</strong></h5>
            &{'nonlelang.akses_inaproc'}
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function() {

        $('#load').hide();

        $('#blacklisted').hide();

        $('#formPendaftaranpl').submit(function() {
            //pengecekan blacklist
            var valid = true;
            var llsId = '${pl.lls_id}'
            var blacklistUrl = #{jsRoute @nonlelang.PendaftaranPlCtr.pengecekanBlacklist(':llsId') /};

            $(this).hide();
            $('#load').show();

            $.ajax({
                type: 'POST',
                async: false,
                url: blacklistUrl.url({llsId: llsId}),
                success: function (data) {
                    if(data==1){
                        valid=false;
                        $(this).hide();
                        $('#blacklisted').show();
                    } else{
                        this.show();
                    }
                    $('#load').hide();

                },

                error: function () {
                    $('#load').hide();
                    $(this).show();
                    alert('error');
                }
            })

            return valid;
        });
    });

</script>